%define section non-free

Name:           hpjtune
Version:        1.2.1
Release:        1jpp
Epoch:          0
Summary:        Java garbage collection visualization tool

Group:          Development/Tools
License:        HP Software License
URL:            http://www.hp.com/products1/unix/java/java2/hpjtune/
Source0:        ftp://ftp.hp.com/pub/gsy/HPjtune-1.2.1.tar.gz
NoSource:       0
Source1:        %{name}.desktop
# Converted from images/icon_tran.gif in jar with "convert -resize 48"
Source2:        %{name}.png
Source3:        %{name}.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         JPackage Project
Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
Requires:       jpackage-utils >= 0:1.5

%description
HPjtune is a Java Garbage Collection (GC) visualization tool for
analyzing garbage collection activity in a Java program. The analysis
is carried out off-line or on-line, based on the output of the JVM via
the -Xloggc or -Xverbosegc output file.


%prep
%setup -q -c
chmod 644 *


%build


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 HPjtune.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}.desktop
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
install -Dpm 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Non-CPL_Clickwrap.pdf release_notes.txt
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_javadir}/%{name}*.jar


%changelog
* Sun Nov  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.1-1jpp
- Fix release tag.

* Sun Nov  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.1-0.fdr.1
- First build.
